import { TestSession } from './TestSession';
import { TestSessionStatus } from './TestSessionStatus';
export declare class TestSessionManager {
    private sessionsMap;
    add(session: TestSession): void;
    update(session: TestSession): void;
    get(id: string): TestSession | undefined;
    all(): IterableIterator<TestSession>;
    filtered(filter: (s: TestSession) => unknown): Generator<TestSession, void, unknown>;
    forStatus(...statuses: TestSessionStatus[]): Generator<TestSession, void, unknown>;
    forTestFile(...testFiles: string[]): Generator<TestSession, void, unknown>;
    forBrowser(...browserNames: string[]): Generator<TestSession, void, unknown>;
    passed(): Generator<TestSession, void, unknown>;
    failed(): Generator<TestSession, void, unknown>;
}
