/// <reference types="node" />
import { EventEmitter } from 'events';
import { TestSessionManager } from './TestSessionManager';
import { TestSession } from './TestSession';
import { TestRunnerConfig } from './TestRunnerConfig';
import { BrowserLauncher } from './BrowserLauncher';
export declare class TestScheduler extends EventEmitter {
    private config;
    private browsers;
    private sessions;
    constructor(config: TestRunnerConfig, browsers: BrowserLauncher[], sessions: TestSessionManager);
    schedule(testRun: number, sessionsToSchedule: Iterable<TestSession>): Promise<void[]>;
    runScheduled(testRun: number): Promise<void[]>;
    private runSession;
    private setSessionTimedout;
}
