"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCoverageSummary = exports.coverageTypes = void 0;
const istanbul_lib_coverage_1 = require("istanbul-lib-coverage");
exports.coverageTypes = [
    'lines',
    'statements',
    'branches',
    'functions',
];
function getCoverageSummary(sessions, coverageThreshold) {
    const coverageMap = istanbul_lib_coverage_1.createCoverageMap();
    for (const session of sessions) {
        if (session.result.testCoverage) {
            coverageMap.merge(session.result.testCoverage);
        }
    }
    const coverageData = coverageMap.getCoverageSummary().data;
    if (coverageThreshold) {
        for (const type of exports.coverageTypes) {
            const { pct } = coverageData[type];
            if (pct < coverageThreshold[type]) {
                return { coverageData, passed: false };
            }
        }
    }
    return { coverageData, passed: true };
}
exports.getCoverageSummary = getCoverageSummary;
//# sourceMappingURL=getCoverageSummary.js.map