/// <reference types="node" />
import { EventEmitter } from 'events';
export declare type TerminalEntry = string | IndentedTerminalEntry;
export interface IndentedTerminalEntry {
    text: string;
    indent: number;
}
export declare class Terminal extends EventEmitter {
    private originalFunctions;
    private previousDynamic;
    private started;
    private serverAddress?;
    start(serverAddress: string, watchMode: boolean): void;
    stop(): void;
    restart(): void;
    logStatic(entriesOrEntry: TerminalEntry | TerminalEntry[]): void;
    logDynamic(entriesOrEntry: TerminalEntry | TerminalEntry[]): void;
    private relogDynamic;
}
