import { CoverageSummaryData } from 'istanbul-lib-coverage';
import { TestRunnerConfig, CoverageThresholdConfig } from '../TestRunnerConfig';
import { TestProgressArgs } from './getTestProgressReport';
import { Terminal } from './Terminal';
import { TestSessionManager } from '../TestSessionManager';
export declare class TestReporter {
    private terminal;
    private sessions;
    private reportedFilesByTestRun;
    constructor(terminal: Terminal, sessions: TestSessionManager);
    reportTestRunStart(testRun: number, testFiles: string[], allBrowserNames: string[], favoriteBrowser: string, serverAddress: string): void;
    reportTestCoverage(coverageData: CoverageSummaryData, passedCoverage: boolean, coverageThreshold?: CoverageThresholdConfig): void;
    reportTestFileResults(testRun: number, testFile: string, allBrowserNames: string[], favoriteBrowser: string, serverAddress: string): void;
    reportTestProgress(config: TestRunnerConfig, args: TestProgressArgs): void;
    reportEnd(): void;
}
